#!/bin/sh

# mediatomb files
MEDIATOMB_BIN=/usr/local/AppCentral/upnp-server/bin/mediatomb
MEDIATOMB_CONF=/usr/local/AppCentral/upnp-server/etc/config.xml
PIDFILE=/var/run/mediatomb.pid
MEDIATOMB_NAME=mediatomb

case $1 in

	start)
		if [ -r $MEDIATOMB_CONF ]; then
			echo "Starting mediatomb..."
			# Make sure the libnspr4 library is linkable. (Temporal method)
			#/bin/ln -s /usr/local/AppCentral/upnp-server/lib/libnspr4.so /usr/lib/libnspr4.so.0d
			#/sbin/ldconfig
			# Launch the daemon.
			$MEDIATOMB_BIN -d -c $MEDIATOMB_CONF -P $PIDFILE -p 49152
		else
			echo "$0: cannot start mediatomb -- $MEDIATOMB_CONF missing"
		fi
		;;

	stop)
		echo "Stopping mediatomb..."
		killall -TERM $MEDIATOMB_NAME
		;;

	reload)
		echo "Reload mediatomb..."
		killall -HUP $MEDIATOMB_NAME
		;;
		
	*)
		echo "usage: $0 {start|stop|reload}"
		exit 1
		;;
		
esac
exit 0
